﻿Imports Microsoft.Win32

Public Class Form1
    Private System64 As Boolean = False
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        If Registry.LocalMachine.OpenSubKey("Hardware\Description\System\CentralProcessor\0").GetValue("Identifier").ToString.Contains("64") Then
            System64 = True
        End If
        If System64 Then
            Me.Text = "64-Bit System"
        Else
            Me.Text = "32-Bit System"
        End If
    End Sub
    Private Sub Schluessel_32bit_erstellen()
        Using regKey As RegistryKey = Registry.LocalMachine.CreateSubKey("SOFTWARE\Codemasters\GRID", RegistryKeyPermissionCheck.Default)
            regKey.SetValue("LANGUAGE", "ger", RegistryValueKind.String)
            regKey.Close()
        End Using
    End Sub
    Private Sub Schluessel_64bit_erstellen()
        Using regKey As RegistryKey = Registry.LocalMachine.CreateSubKey("SOFTWARE\Wow6432Node\Codemasters\GRID", RegistryKeyPermissionCheck.Default)
            regKey.SetValue("LANGUAGE", "ger", RegistryValueKind.String)
            regKey.Close()
        End Using
    End Sub
    Private Sub Schluessel_lesen_32bit()
        Dim sregKey As String = ""
        Using regKey As RegistryKey = Registry.LocalMachine.OpenSubKey("SOFTWARE\Codemasters\GRID", False)
            If regKey IsNot Nothing Then
                sregKey = regKey.GetValue("LANGUAGE", False).ToString
            End If
        End Using
        MessageBox.Show(sregKey)
    End Sub
    Private Sub Schluessel_lesen_64bit()
        Dim sregKey As String = ""
        Using regKey As RegistryKey = Registry.LocalMachine.OpenSubKey("SOFTWARE\Wow6432Node\Codemasters\GRID", False)
            If regKey IsNot Nothing Then
                sregKey = regKey.GetValue("LANGUAGE", False).ToString
            End If
        End Using
        MessageBox.Show(sregKey)
    End Sub
    Private Sub Schluessel_Pfad_loeschen_32bit()
        Using key As RegistryKey = Registry.LocalMachine.OpenSubKey("SOFTWARE", True)
            key.DeleteSubKeyTree("Codemasters", False)
            key.Close()
        End Using
    End Sub
    Private Sub Schluessel_Pfad_loeschen_64bit()
        Using key As RegistryKey = Registry.LocalMachine.OpenSubKey("SOFTWARE\Wow6432Node", True)
            key.DeleteSubKeyTree("Codemasters", False)
            key.Close()
        End Using
    End Sub
    Private Sub Pfade_32bit_pruefen()
        Using key32 As RegistryKey = Registry.LocalMachine.OpenSubKey("SOFTWARE\Codemasters\GRID", False)
            If key32 IsNot Nothing Then
                MessageBox.Show("Der Pfad ( SOFTWARE\Codemasters\GRID ) wurde gefunden ! ", "Pfad gefunden !", MessageBoxButtons.OK, MessageBoxIcon.Information)
            Else
                MessageBox.Show("Der Pfad ( SOFTWARE\Codemasters\GRID ) wurde nicht gefunden ! ", "Pfad nicht gefunden !", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End If
        End Using
    End Sub
    Private Sub Pfade_64bit_pruefen()
        Using key64 As RegistryKey = Registry.LocalMachine.OpenSubKey("SOFTWARE\Wow6432Node\Codemasters\GRID", False)
            If key64 IsNot Nothing Then
                MessageBox.Show("Der Pfad ( SOFTWARE\Wow6432Node\Codemasters\GRID ) wurde gefunden ! ", "Pfad gefunden !", MessageBoxButtons.OK, MessageBoxIcon.Information)
            Else
                MessageBox.Show("Der Pfad ( SOFTWARE\Wow6432Node\Codemasters\GRID ) wurde nicht gefunden ! ", "Pfad nicht gefunden !", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End If
        End Using
    End Sub

    Private Sub btnCreRegKey32_Click(sender As Object, e As EventArgs) Handles btnCreRegKey32.Click
        Schluessel_32bit_erstellen()
    End Sub

    Private Sub btnCreRegKey64_Click(sender As Object, e As EventArgs) Handles btnCreRegKey64.Click
        Schluessel_64bit_erstellen()
    End Sub

    Private Sub btnReadRegKey32_Click(sender As Object, e As EventArgs) Handles btnReadRegKey32.Click
        Schluessel_lesen_32bit()
    End Sub

    Private Sub btnReadRegKey64_Click(sender As Object, e As EventArgs) Handles btnReadRegKey64.Click
        Schluessel_lesen_64bit()
    End Sub

    Private Sub btnTestRegKey32_Click(sender As Object, e As EventArgs) Handles btnTestRegKey32.Click
        Pfade_32bit_pruefen()
    End Sub

    Private Sub btnTestRegKey64_Click(sender As Object, e As EventArgs) Handles btnTestRegKey64.Click
        Pfade_64bit_pruefen()
    End Sub

    Private Sub btnDeletRegKey32_Click(sender As Object, e As EventArgs) Handles btnDeletRegKey32.Click
        Schluessel_Pfad_loeschen_32bit()
    End Sub

    Private Sub btnDeletRegKey64_Click(sender As Object, e As EventArgs) Handles btnDeletRegKey64.Click
        Schluessel_Pfad_loeschen_64bit()
    End Sub
End Class
